ARK(1)

NOME
ark - Strumento di archiviazione di KDE

SINOSSI

ark [-b] [-a] [-e] [-c] [-f suffisso] [-p] [-t file] [-d] [-o cartella] [Opzioni generiche di KDE] [Opzioni Generiche di Qt(TM)]

DESCRIZIONE

Ark è un programma per gestire vari formati di file compressi in KDE. Con Ark gli archivi possono essere visualizzati, estratti, creati e modificati. Il programma può gestire diversi formati, tra cui tar, gzip, bzip2, zip, rar (se le giuste librerie o programmi da riga di comando sono installati).

MODALITà OPERATIVE

Ark può essere usato sia come programma grafico a sé stante, sia come programma da riga di comando per effettuare alcuni compiti particolari.

Se richiamato senza le opzioni -b (--batch) o -c (--add), Ark viene avviato come un normale programma grafico.

Quando si usa l'opzione -b (--batch), Ark si può usare per estrarre i contenuti di uno o più file direttamente dalla riga di comando, senza avviarne l'interfaccia grafica.

Quando si usa l'opzione -c (--add), Ark chiede quali file dovrebbero essere aggiunti a un nuovo archivio o a uno esistente.

OPZIONI

-d, --dialog
    Mostra una finestra per specificare le opzioni di un'operazione di estrazione o di aggiunta.

-o, --destination cartella
    Cambia la cartella di destinazione a cartella. Se non viene fornita, si usa il percorso attuale.

  Opzioni per aggiungere file

-c, --add
    Chiede all'utente il nome di un archivio a vi aggiunge i file specificati.Esce non appena terminato.

-t, --add-to nome_file
    Aggiunge i file specificato a nome_file. Crea l'archivio se non esiste. Esce non appena terminato.

-p, --changetofirstpath
    Cambia la cartella attuale alla prima voce e aggiunge tutte le altre voci relativamente a questa.

-f, --autofilename suffisso
    Scegli automaticamente un nome di file con il suffisso selezionato (per esempio rar, tar.gz, zip o qualsiasi altro tipo supportato).

  Opzioni per l'estrazione non interattiva

b, --batch
    Usa l'interfaccia non interattiva invece delle normali finestre. Questa opzione è sottintesa se si specifica più di un URL.

-e, --autodestination
    L'argomento di destinazione verrà impostato al percorso del primo file dato.

-a, --autosubfolder
    I contenuti dell'archivio saranno letti, e, se si rileva che non è un archivio con una sola cartella, ne verrà creata una col nome dell'archivio.

ESEMPI

ark --batch archivio.tar.bz2
    Estrarrà archivio.tar.bz2 nella cartella attuale senza visualizzare un'interfaccia.

ark -b -d archivio.tar.bz2 archivio2.zip
    Mostrerà inizialmente una finestra delle opzioni di estrazione, e quindi estrarrà sia archivio.tar.bz2 che archivio2.zip nella cartella lì scelta.

ark --add-to mio-archivio.zip foto1.jpg testo.txt
    Creerà mio-archivio.zip se non esiste, e quindi vi aggiungerà foto1.jpg e testo.txt.

AUTORI

Ark è attualmente mantenuto da Harald Hvaal haraldhv@stud.ntnu.no e Raphael Kubo da Costa kubito@gmail.com.

Questa pagina di manuale è stata scritta da Lauri Watts lauri@kde.org nel 2005 per KDE 3.4, ed è stata aggiornata nel 2009 da Raphael Kubo da Costa kubito@gmail.com.

AUTORI

Lauri Watts <lauri@kde.org>
    Autore.

Raphael Kubo da Costa <kubito@gmail.com>
    Autore.